package com.sr.smp.contract.dto.customer;

import com.sr.smp.contract.enums.FeeCompareResult;
import lombok.Data;

import java.util.Date;
import java.util.List;

/*******************************************************
 * 客户费用比对结果 *
 * @author: 哥只是个传说
 * @time: 2023-11-18 11:05:35
 * *****************************************************/
@Data
public class CustomerFeeSetCompareDto {

    /**
     * 返回结果标志 0 (提醒)，1（终止操作） FeeCompareResult
     */
    FeeCompareResult feeCompareResult = FeeCompareResult.Warning;

    /**
     * 异常类型名称
     */
    String feeCompareResultName ;
    /**
     * 产品编号
     */
    String productId;

    /**
     * 产品名称
     */
    String productName;

    /**
     * 费用设置名称
     */
    String feeSetName;

    /**
     * 费用设置类型  FeeSetType
     */
    Integer feeSetType;

    /**
     * 作业机构编号
     */
    String orgId;

    /**
     * 作业机构名称
     */
    String orgName;

    /**
     * 客户编号
     */
    Integer customerId;

    /**
     * 客户名称
     */
    String customerName;



    /**
     * 费用类型名称
     */
    String feeSetTypeName;

    /**
     * 生效起始时间
     */

    Date beginDate;
    /**
     * 生效结束时间
     */
    Date endDate;

    /**
     * 业务员
     */
    String salesMan;

    /**
     * 提示信息
     */
    String message;

    /**
     * 客户费用比对明细
     */
    List<CustomerFeeSetCompareDetailDto> customerFeeSetCompareDetailDtoList;
}
