import { PageParams } from "../base/BaseDataModel";

/**
 * 审批人员添加或编辑参数
 */
export interface ApprovalUserAddParams {
    /**
     * 编号
     *
     * @mbg.generated
     */
    id: number | undefined;
    /**
     * 序号
     *
     * @mbg.generated
     */
    orderNumber: number | undefined;

    /**
     * 0 客户费用
     *
     * @mbg.generated
     */
    approvalType: number | undefined;

    /**
     * 0 客户费用名称
     *
     * @mbg.generated
     */
    approvalTypeName: string | undefined;

    /**
     * 审批人员编号
     *
     * @mbg.generated
     */
    approvalUserId: number | undefined;

    /**
     * 审批人员名称
     *
     * @mbg.generated
     */
    approvalUserName: string | undefined;
}

/**
 * 审批人员Result
 */
export interface ApprovalUserDto extends ApprovalUserAddParams {

    /**
     * 是否删除
     *
     * @mbg.generated
     */
    deleteFlag: number;

    /**
     * 创建人编号
     *
     * @mbg.generated
     */
    createUserId: number;

    /**
     * 创建人名
     *
     * @mbg.generated
     */
    createUserName: string;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    createTime: Date | string;
}

/**
 * 审批人员的查询参数
 */
export interface ApprovalUserParam extends PageParams {

    /**
     * 0 客户费用
     *
     * @mbg.generated
     */
    approvalType?: number;

    /**
     * 是否删除
     *
     * @mbg.generated
     */
    deleteFlag?: number;
}
