/**
 * 账单主表-查询参数
 */
export interface BillMainParam {
    billName: string
    billBeginDate: string
    billEndDate: string
    pageNum: number
    pageSize: number
    total: number
}

/**
 * 账单主表-列表参数
 */
export interface BillMain {
    id: number//编号
    billName: string//账单名称
    billDate: string//账单日期
    rateVersionId: number//均摊汇率版本编号
    uploadFileName: string//上传文件名称
    stateFlag: string//状态
    stateFlagName: string//状态名称
    createUserId: number//创建人编号
    createUserName: string//创建人名称
    createTime: string//创建时间
    updateUserId: number//更新人编号
    updateUserName: string//更新人名
    updateTime: string//更新时间
}

//新增或编辑账单主体数据
export interface AddEditBillMainParams {
    rateVersionId: number
    createUserId: number
    updateUserId: number
    updateUserName: string
    createUserName: string
    billDate: string
    updateTime: string
    billName: string
    uploadFileName: string//导入的名称
    createTime: string
    stateFlag: number
    id: number
    stateFlagName: string
    billDetailDtoList: BillDetailDtoList[]
}

export interface BillDetailDtoList {
    rateVersionId: number
    shareFlag: boolean
    billDate: string
    billFee: string
    shareFee: string
    enterpriseDominantName: string
    enterpriseDominantNameImport: string
    rate: string
    channelName: string
    id: number
    mainId: number
    currencyCode: string
    waybillNo: string
}

// 重算参数
export interface BillMainRecount {
    rateVersionId: string
    id: number
}

// 账单分摊-主体参数
export interface BillMainSummaryParams {
    mainId: number,
    channelId: string //渠道商编号
    enterpriseDominantId: string //主体编号
    month: string //月份
}