import { PageParams } from "../base/BaseDataModel";

/**
 * 账单汇率-查询参数
 */
export interface BillRateParam extends PageParams {
    currencyCode: string
    titleName: string
}
/**
 * 账单汇率-列表数据
 */
export interface BillRate {
    id: number//编号
    currencyCode: string//币种
    currencyRate: string//汇率
    titleName: string//标题名称
    rateVersionId: number//版本号
    createUserId: number//创建人
    createUserName: string//创建人名
    createTime: string//创建时间
    updateUserId: number//更新人员
    updateUserName: string//更新人名
    updateTime: string//更新时间
}
/**
 * 版本号
 */
export interface VersionListParam {
    rateVersionId: number
}

/**
 * 新增、编辑账单汇率
 */
export interface BillRateAddParams {
    id: number | never
    startDate: string
    endDate: string
    titleName: string
    currencyCode: string
    currencyRate: number
    type: string
    rateVersionId: number
}