/**
 * 财务应付明细-API
 */
import { Idparams } from "@/api/base/BaseDataModel";
import http from "@/http/http";
import { FinancialBillDetailDto, FinancialBillDetailParam } from "./financialBillDetailListModle";

enum Api {
    financialBillDetailList = '/api/financialBillDetail/pageList',
    financialBillDetail = '/api/financialBillDetail',
    financialBillDetailSave = '/api/financialBillDetail/save'
}

/**
 * 财务应付明细分页查询
 * @param parms 
 * @returns 
 */
export const api_financialBillDetailList = async (parms: FinancialBillDetailParam) => {
    return await http.post(Api.financialBillDetailList, parms)
}

/**
 * 财务应付明细编辑
 * @param parms 
 * @returns 
 */
export const api_financialBillDetailSave = async (parms: FinancialBillDetailDto) => {
    return await http.post(Api.financialBillDetailSave, parms)
}

/**
 * 删除财务应付明细
 * @param parms 
 * @returns 
 */
export const api_deleteFinancialBillDetail = async (parms: Idparams) => {
    return await http.delete(Api.financialBillDetail, parms)
}
