/**
 * 财务核账结果-API
 */
import { Idparams } from "@/api/base/BaseDataModel";
import http from "@/http/http";
import { FinancialVerifyRecordDetailParam, FinancialVerifyRecordParam } from "./financialVerifyListModel";

enum Api {
    financialVerifyRecordList = '/api/financialVerifyRecord/list',
    repeatVerify = '/api/financialVerifyRecord/repeatVerify',
    financialVerifyRecordDetail = '/api/financialVerifyRecordDetail/list'
}

/**
 * 对账结果查询
 * @param parms 
 * @returns 
 */
export const api_financialVerifyRecordList = async (parms: FinancialVerifyRecordParam) => {
    return await http.post(Api.financialVerifyRecordList, parms)
}

/**
 * 账单重算
 * @param parms 
 * @returns 
 */
export const api_financialRepeatVerify = async (parms: { summaryId: number }) => {
    return await http.get(Api.repeatVerify, parms)
}

/**
 * 核账明细查询
 * @param parms 
 * @returns 
 */
export const api_financialVerifyRecordDetail = async (parms: FinancialVerifyRecordDetailParam) => {
    return await http.get(Api.financialVerifyRecordDetail, parms)
}
