import { PageParams } from "../base/BaseDataModel";

// 央行汇率列表返回
export interface CentralBankRateResult {
    id?: number//编号	
    currencyCode?: string//币种	
    currencyRate?: number//汇率	
    releaseTime?: string//发布时间	
    createTime?: string//创建时间
}

// 央行汇率参数
export interface CentralBankRateParams {
    currencyCode: string
}
// 央行汇率分页参数
export interface CentralBankRatePageParam extends PageParams {
    /**
     * 币种编号
     *
     * @mbg.generated
     */
    currencyCode?: string;

    /**
     * 发布时间
     *
     * @mbg.generated
     */
    releaseTime?: string | Date;
}
// 央行汇率返回
export interface GetCentralBankRate {
    id: number//编号	
    currencyCode: string//币种	
    currencyRate: number//兑人民币汇率	
    releaseTime: string//发布时间	
    createTime: string//创建时间
}