/**
 * 欠费提醒查询参数
 */
export interface ArrearsReminderParam {
    /**
     * 客户编号
     */
    CustomerId?: number;
    /**
     * 业务员编号
     */
    SealId?: number;

    /**
     * 扫描仓库
     */
    OwningWarehouse?: string;

    /**
     * 是否可重新收货
     */
    CanReceiver?: boolean;

    /**
     * 时间范围
     */
    CreateTime?: string[];
        /**
     *起始时间
     */
    // beginDate?: string;

    //  /**
    //   *结束时间
    //   */
    // endDate?: string;
}

export interface ApiArrearsReminderDto {

    /**
     * 转运件数
     */
    TransferWarehouseQty: number;

    /**
     * 操作人Id
     */
    LastOperUserId: number;

    /**
     * 客户代码
     */
    CustomerNumber: string;

    /**
     * 客户Id
     */
    CustomerId: number;
    /**
     * 客户
     */
    Abbreviation: string;

    /**
     * 业务员
     */
    NickName: string;

    /**
     * 最后欠费时间
     */
    // @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    // @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    LastTimeAsArrears: string[];

    /**
     * 问题件数
     */
    QtyAsArrears: number;

    /**
     * 问题件费用
     */
    FeeSumAsArrears: number;

    /**
     * 客户余额
     */
    CustomerBalance: number;

    /**
     * 账期额度
     */
    AccountTermLimit: number;

    /**
     * 预计余额
     */
    ExpectBalance: number;

    /**
     * 最后充值时间
     */
    // @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    // @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    LastTimeAsRecharge: string;

    /**
     * 最后通知时间
     */
    // @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    // @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    LastNoticeTime: string;

    /**
     * 最后充值金额
     */
    LastFeeAsRecharge: number;

    /**
     * 临时收货时间
     */
    // @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    // @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    LastTimeAsOpenReceipt: string;

    /**
     * 临时收货金额
     */
    LastFeeAsOpenReceipt: number;
    /**
     * 是否可重新收货
      */
    CanReceiver: boolean;

    /**
     * 扫描仓库
     */
    OwningWarehouse: string;

    /**
     * 扫描人
     */
    LastOperName: string;
}