import { ReceivableParams, StableFeeItemModelDto, TempFeeItemModelDto } from "../receivable/receivableModel";

// 应付模版-查询列表
export interface PayableModelParams extends ReceivableParams {
    /**
     * 服务商编号
     */
    providerId?: string;
}

// 新增或编辑应付模版
export interface PayableModelDto {
    // 使用 @MongoID 能更清晰的指定 _id 主键
    id?: string;
    // 模板名称
    modelName: string;
    // 临时费用
    tempFeeItemModelList: PayableTempFeeItemModelDto[];
    // 稳定费用
    stableFeeItemModelList: PayableStableFeeItemModelDto[];
    // 是否启用
    activeFlag: boolean;
    // 备注
    remark: string;
}

// 根据服务商查找费用
export interface CostFeeSetProductIdParam {
    /**
     * 服务商编号
     */
    providerId: string | number;
    /**
    * 查询当前时间对应的父ID
    */
    parentData: boolean;
}

/**
 * 临时费用模型
 */
export interface PayableTempFeeItemModelDto extends TempFeeItemModelDto {
    /**
     * 服务商编号
     */
    providerId: string;
    /**
     * 名称
     *
     * @mbg.generated
     */
    providerName: string;
}
/**
 * 稳定费用模型
 */
export interface PayableStableFeeItemModelDto extends StableFeeItemModelDto {
    /**
     * 日期版本
     */
    dateVersion: string;
    /**
     * 服务商编号
     */
    providerId: string | number;
    /**
     * 名称
     *
     * @mbg.generated
     */
    providerName: string;
}

// 渠道商查找费用
export interface CustomerFeeProviderIdObject {
    id: string;
    productId: string;//产品名称
    feeSetName: string;//费用名称
    feeItemCategory: number;//费项类型 
    feeItemCategoryName: string;
    key: string;
    productName: string;
    providerId: string;//渠道商
    providerName: string;
    beginDate: string;
    endDate: string;
    parentId: string;
}