import { PageParams } from "../base/BaseDataModel";

/**
 * 客户信息查询参数
 */
export interface CustomerParam extends PageParams {
    /**
     * 编号
     *
     * @mbg.generated
     */
    id?: number;

    /**
     * 客户编号
     */
    idList?: number[];

    /**
     * 公司名称(客户名称)
     *
     * @mbg.generated
     */
    companyName?: string;


    /**
     * 类型
     *
     * @mbg.generated
     */
    type?: number;

    /**
     * 分公司编号
     */
    orgId?: string;

    /**
     * 旧系统编号
     */
    oldIdList?: number[];

    /**
     * 客户名称
     */
    customerNameList?: string[];

    /**
     * 销售员编号
     */
    salesmanUserId?: number;

    /**
     * 设置网上支付方式 0: 否 1:是
     *
     * @mbg.generated
     */
    setPaymentFlag?: 0 | 1;

    /**
     * 账期类型
     *
     * @mbg.generated
     */
    accountPeriod?: number;
}

/**
 * 客户支付方式请求参数
 */
export interface CustomerPaymentTypeParam {
    /**
     * 旧系统编号
     *
     * @mbg.generated
     */
    oldId?: number;
    /**
     * 旧系统编号
     *
     * @mbg.generated
     */
    oldIdList: number[];

    /**
     * 支付平台编号
     */
    paymentPlatformList: number[];

    /**
     * 客户名称
     */
    customerNameList?: string[];
}

/**
 * 客户支付列表Result
 */
export interface ResultCustomerDto {
    /**
     * 编号
     *
     * @mbg.generated
     */
    id: number;

    /**
     * 公司名称
     *
     * @mbg.generated
     */
    companyName: string;

    /**
     * 类型
     *
     * @mbg.generated
     */
    type: number;

    /**
     * 旧系统编号
     *
     * @mbg.generated
     */
    oldId: number;

    /**
     * 同步时间
     *
     * @mbg.generated
     */
    createTime: string;

    /**
     * 客户编码
     *
     * @mbg.generated
     */
    customerCode: string;

    /**
     * 所属主体
     *
     * @mbg.generated
     */
    subjectType: number;

    /**
     * 旧系统分公司编号
     */
    oldDeptId: number;

    /**
     * 分公司编号
     */
    orgId: string;

    /**
     * 是否被激活
     *
     * @mbg.generated
     */
    isActive: boolean;

    /**
     * 简写
     */
    displayName: string;

    /**
     * 销售员编号
     */
    salesmanUserId: number;

    /**
     * 业务员
     */
    salesmanUserName: string;
    /**
     * 已分配支付方式
     */
    paymentTypeList: string[];

    /**
     * 账期类型
     */
    accountPeriodName: string;
}