import { PageParams } from "../base/BaseDataModel";

// 产品费率
export interface ProductRateRatioParam extends PageParams {
    rateRatioId?: string//费率编号
    productId: string;//产品编号
    feeItemId: number | string;//费用（科目）编号
    cycleType?: number;//周期类型
    rateRatioState?: number
}

export interface ProductRateRatioId {
    id: string;
}

// 新增或编辑产品费率
export interface ProductRateRatioDto {
    id?: string; // 主键

    /** 产品编号 */
    productId: string | unknown;

    /** 产品名称 */
    productName: string | unknown;

    /** 费用（科目）编号 */
    feeItemId: number | unknown;

    /** 费用科目名称 */
    feeItemName: string | unknown;

    /** 周期类型 CycleType */
    cycleType: number | unknown;

    /** 共享产品编号 */
    productIdList: string[];

    /** 共享产品名称 */
    productNameList: string[];

    /** 成本共享服务商编号 */
    providerIdList: string[];

    /** 成本共享服务商名称 */
    providerNameList: string[];
    /** 状态  */
    rateRatioState: number;
    /** 状态名称  */
    rateRatioStateName: string | unknown;
}