/**
 * 账单汇率-API
 */
import http from "@/http/http";
import { ListByParentId, SubmitProviderFeeSetModel } from "./providerFeeSetModel";

enum Api {
    getCostFeeItemSetList = '/api/costFeeItemSet/list',
    add = '/api/costFeeItemSet/add',
    edit = '/api/costFeeItemSet/edit',
    delete = '/api/costFeeItemSet',
    active = '/api/costFeeItemSet/active',
    listByParentId = '/api/costFeeItemSet/listByParentId',
}

//查询客户费用列表
export const getCostFeeItemSetListApi = async (parms: Recordable) => {
    return await http.get(Api.getCostFeeItemSetList, parms)
}

// //新增
export const addCostFeeItemSetApi = async (parms: SubmitProviderFeeSetModel) => {
    return await http.post(Api.add, parms)
}

//编辑
export const editCostFeeItemSetApi = async (parms: SubmitProviderFeeSetModel) => {
    return await http.post(Api.edit, parms)
}

//删除
export const deleteCostFeeItemSetApi = async (parms: any) => {
    return await http.delete(Api.delete, parms)
}

// 查询当前生效记录的其他费用
export const getCostFeeItemSetParentListApi = async (parms: ListByParentId) => {
    return await http.get(Api.listByParentId, parms)
}

// 查询当前生效记录的其他费用
// export const getCustomerFeeSetParentListApi = async (parms: ListByParentId) => {
//     return await http.get(Api.listByParentId, parms)
// }

// // 是否激活
// export const activeCustomerFeeSetApi = async (parms: ActiveParams) => {
//     return await http.post(Api.active, parms)
// }

// // 查询客户分组
// export const customerGroupListApi = async (parms: Partial<CustomerGroupParam>) => {
//     return await http.post(Api.customerGroupList, parms)
// }

// // 添加客户分组
// export const customerGroupAddApi = async (parms: AddEditCustomerGroup) => {
//     return await http.post(Api.customerGroupAdd, parms)
// }

// // 编辑客户分组
// export const customerGroupEditApi = async (parms: AddEditCustomerGroup) => {
//     return await http.post(Api.customerGroupEdit, parms)
// }

// // 查看分组所属客户
// export const getcustomerGroupListApi = async (parms: GroupQueryCustomer) => {
//     return await http.post(Api.getcustomerGroupList, parms)
// }

// // 查看分组所属客户
// export const getCustomerFeeQueryApi = async (parms: CustomerFeeQueryParam) => {
//     return await http.post(Api.customerFeeQuery, parms)
// }