import { PageParams } from "../base/BaseDataModel";

/**
 * 任务
 */
export interface ScheduleSettingParam extends PageParams {
    id?: string;//编号
    beanName?: number | string;//bean名称
    methodName?: string;//方法名称
    methodParams?: string;//方法参数
    jobStatus?: number;//状态(0运行，1停止)
    rateRatioState?: number;//周期
}

export interface ScheduleSettingId {
    id: string;
}

// 更新状态
export interface ScheduleSettingStatus {
    id: number
    jobStatus: 0 | 1//状态(0停止，1运行)
}

/**
 * 任务信息
 */
export interface ScheduleSettingDto {
    /**
     * 任务ID
     */
    jobId?: number;
    /**
     * bean名称
     */
    beanName: string;
    /**
     * 方法名称
     */
    methodName: string;
    /**
     * 方法参数
     */
    methodParams: string;
    /**
     * cron表达式
     */
    cronExpression?: string;
    /**
     * 备注
     */
    remark?: string;
    /**
     * 状态(0运行，1停止)
     */
    jobStatus?: number;
    /**
     * 创建时间
     */
    createTime?: Date;
    /**
     * 修改时间
     */
    updateTime?: Date;
    /**
     * 周期类型
     */
    cycleType?: number;
    /**
     * 是否需要停止
     */
    mustStop?: number;
}