/**
 * 登录请求参数类型
 */
export interface LoginParm{
    username:string;
    password:string;
    code:string;
}
/**
 * 登录成功返回值类型
 */
export interface LoginResult{
    id:number;
    token:string;
    code:number;
    expireTime:number;
}
/**
 * 用户信息
 */
export interface UserInfo{
    avatar:string;
    id:string;
    introduction:string;
    name:string;
    roles:Array<string>
    deptCodeList: string[]
    sysUserRoleDto: {
        id?: number,
        userId?: number,
        roleId?: number
    }
}
/**
 * 用户列表查询参数
 */
 export interface UserListParm{
    deptId:string | number;
    loginName:string;
    pageNum:number;
    pageSize:number;
    total:number;
}
/**
 * 表单提交的参数
 */
export interface AddUserModel{
    type:string; //判断新增还是编辑
    id:string | number;
    deptId:string | number;
    deptName:string;
    loginName:string;
    mobile:string;
    nickName:string;
    email:string;
    username:string;
    password:string;
    sex:string;
    /**
     * 旧系统编号
     */
    oldId: string | number;
}

/**
 * 分配角色列表参数
 */
 export interface AssignRoleListParm {
    pageNum: number,
    pageSize: number,
    userId: string | number,
    total: number,
}
export interface SelectRoleParm{
    roleId:string | number;
    userId:string | number;
}
// 修改密码参数
export interface UpdatePasswordDto {
    /**
     * 用户编号
     */
    id: number;

    /**
     * 旧密码
     */
    oldPassword?: string;

    /**
     * 新密码
     */
    newPassword: string;
}