import { BaseFeesetAction } from "@/type/BaseFeesetAction";
import type { ButtonType } from "element-plus";
import type { Component } from "vue";

export interface ActionOptions {
    /**
     * 状态
     */
    value: number | string
    /**
     * 文本
     */
    label: string
    /**
     * 按钮基础样式
     */
    type?: ButtonType
    /**
     * 图标
     */
    icon: Component
    /**
     * 颜色
     */
    color?: string
    /**
     * 激活或停用文本
     */
    islabel?: string
    /**
     * 权限
     */
    permissions: string[]
    /**
     * 是否禁用
     */
    isDisabled?: boolean
    /**
     * 禁用的提示文本
     */
    disabledText?: string
}