
import type { BasicTableProps, VxeGridInstance } from '@/components/VxeTable/index';
import { ref, reactive } from 'vue';

/**
 * 充值记录-表格配置
 */
function userMoneyRechargeModel() {
    // vxe-table ref
    const tableMoneyRechargeRef = ref<VxeGridInstance>();
    // 基础数据
    const userMoneyRechargeGridOptions = reactive<BasicTableProps>({
        id: 'usermoney_detail_table',
        border: true,
        keepSource: true,
        showOverflow: true,
        height: 520,
        loading: false,
        columnConfig: {
            resizable: true
        },
        customConfig: {
            storage: {
                visible: true,
            }
        },
        toolbarConfig: {
            custom: true,
        },
        columns: [
            { field: 'customerName', title: '客户', minWidth: 140 },
            { field: 'feeAmount', title: '金额', width: 100 },
            { field: 'transactionNumber', title: '充值流水号', minWidth: 140 },
            { field: 'paymentTypeName', title: '支付方式', width: 90 },
            { field: 'orgName', title: '分公司', width: 95 },
            { field: 'feeTypeName', title: '数据类型', width: 80 },
            { field: 'salesmanName', title: '业务员', width: 90 },
            { field: 'receiveTime', title: '充值时间', width: 150 },
            { field: 'currencyCode', title: '币种', width: 80 },
            { field: 'bankAccount', title: '银行账号', minWidth: 140 },
            // { field: 'customerTypeName', title: '费用类型', width: 90 },
            { field: 'remark', title: '备注', minWidth: 80 },
            { field: 'createTime', title: '创建时间', width: 150 },
            { field: 'createUserName', title: '创建人', width: 95 },
            { title: '操作', slots: { default: 'actions' }, width: 110, fixed: "right" },
        ],
        data: []
    })

    return {
        tableMoneyRechargeRef,
        userMoneyRechargeGridOptions
    }
}

export {
    userMoneyRechargeModel
}