
/**
 * 费用设置类型
 * Integer feeSetType;
    OperatingOrganization(0,"结算价"),
    CUSTOMER(1,"客户价"),
    PUBLIC(2,"公布价");
    SuggestedPrice(5,"建议价");
*/
/**
 * 费用设置类型
 */
export enum FeeSetType {
    /**
     * 结算价
     */
    OPERATING_ORGANIZATION = 0,
    /**
     * 客户价
     */
    CUSTOMER = 1,
    /**
     * 公布价
     */
    PUBLIC = 2,
    /**
     * 建议价
     */
    SUGGESTED = 5,
}

/**
 *  客户费用设置折叠层数
 */
export enum FeeSetFoldingLayer {
    /**
     * 父数据
     */
    GOLDEN_DATA = 'golden-data',
    /**
     * 子数据
     */
    SUBDATA = 'subdata'
}


/**
 * 客户费用明细的字段
 */
export enum BusinessFeesetField {
    /**
     * 最低折扣
     */
    DISCOUNT = 'discount'
}


/**
 * 异常类型 返回结果标志 0 (提醒)，1（终止操作） FeeCompareResult
 */
export enum FeeNoticeShowType {
    /**
     * 提醒
     */
    REMIND = 0,
    /**
     * 终止操作
     */
    TERMINATE_OPERATION = 1
}

/**
 * 费用审核状态
 */
export enum FeeApprovalStatus {
    /**
     * 无需审批
     */
    NO_APPROVAL = 0,
    /**
     * 待审批
     */
    PENDING_APPROVAL = 1,
    /**
     * 审批通过
     */
    APPROVAL_BY = 2,
    /**
     * 审批不通过
     */
    APPROVAL_FAILED = 3
}

/**
 * 报表模板
 */
export enum FeeReportTemplateType {
    /**
     * 分公司利润报表
     */
    BRANCH_STATEMENT = 8
}

/**
 * roleId 部门
 */
export enum Department {
    /**
     * 渠道部
     */
    CHANNEL = 5,
    /**
     * 销售部
     */
    SELL = 6
}

/**
 * 费用新增版本类型
 * Add(0,"新增"),
 * VersionAdd(1,"版本新增"),
 * RecountAdd(2,"重算设置新增");
 */
export enum FeeSetAddType {
    /**
     * 新增
     */
    ADD = 0,
    /**
     * 版本新增
     */
    VERSION_ADD = 1,
    /**
     * 重算设置新增
     */
    RECOUNT_ADD = 2
}

/**
 * 分组操作类型
 * AddFee(0,"新增费用"),
 * EditFee(1,"编辑费用"),
 * AddFeeVersion(2,"新增费用版本");
 * ReCountFee(3,"重算设置"),
 */
export enum GroupOperateType {
    /**
     * 新增费用
     */
    ADD_FEE = 0,
    /**
     * 编辑费用
     */
    EDIT_FEE = 1,
    /**
     * 新增费用版本
     */
    ADD_FEE_VERSION = 2,
    /**
     * 重算设置
     */
    RE_COUNT_FEE = 3
}

/**
 *  分组客户操作类型
 *  Add(0, "新增客户"),
 *  Delete (1, "删除客户"),
 *  Modify(2,"调整客户"); 
 */
export enum CustomerGroupOperateType {
    /**
     * 新增客户
     */
    ADD = 0,
    /**
     * 删除客户
     */
    DELETE = 1,
    /**
     * 调整客户
     */
    MODIFY = 2
} 

/**
 * 转账状态
 */
export enum TransferStatus {
    /**
     * 新增
     */
    ADD = 0,
    /**
     * 已转账
     */
    TRANSFERRED = 1
}