import { BaseActiveFlag } from "./BaseActiveFlag";

export enum EditType {
    /**
     * 代表新增
     */
    ADD = '0',
    /**
     * 代表编辑
     */
    EDIT = '1', 
    /**
     * 删除
     */
    DELETE = '2',
    /**
     * 查看
     */
    VIEW = '3',
    RECOUNT = '4',
    /**
     * 补录
     */
    SUPPLEMENT = '5',
    /**
     * 版本
     */
    VERSION = '6',
    /**
     * 审批
     */
    APPROVE = 'approve',
    /**
     * 重算
     */
    RECALCULATE = 'recalculate'
}

//定义弹框的标题
export enum Title {
    ADD = '新增',
    EDIT = '编辑',
    SUPPLEMENT = '补录',
    VERSION = '新增版本'
}

/**
 * 选择国家/地区的方式
 */
export enum CountryChoiseEnum {
    /**
     * 下拉表
     */
    DROP_DOWN = 1,
    /**
    * 复选框
    */
    CHECK_BOX = 2,
    /**
    * 输入匹配
    */
    INPUT_MATCHING = 3,
}

export enum CalculateUnit {
    /**
     * 默认计算重量单位
     */
    COUNT_CALCULATE_UNIT = 0
}

/**
 * 用户管理操作栏
 */
export enum UsersType {
    /**
     * 删除
     */
    DELETE = 'delete',
    /**
     * 编辑
     */
    EDIT = 'edit',
    /**
     * 分配角色
     */
    ASSIGN_ROLE = 'role',
    /**
     * 数据权限
     */
    DATA_PERMISSION = 'permission',
    /**
     * 重置密码
     */
    RESET_PASSWORD = 'resetPassword',
    /**
     * 账户停用
     */
    ACCOUNT_SUSPENSION = 'accountSuspension'
}
/**
 * 重算设置
 */
export enum RecalculateType {
    /**
     * 0: 否
     */
    NO = 0,
    /**
     *  1: 是
     */
    YES = 1
}

/**
 * 类型名称
 */
export enum CustomerFeeSetType {
    /**
     * 客户价
     */
    CUSTOMER_PRICE = '客户价',
    /**
     * 结算价
     */
    SETTLEMENT_PRICE = '结算价'
}

/**
 * 账期操作
 */
export enum AccountPeriodType {
    /**
     * 新增
     */
    ADD = 0,
    /**
     * 删除
     */
    DELETE = 1,
    /**
     * 编辑
     */
    EDIT = 2,
    /**
     * 查看
    */
     VIEW = 3,
    /**
     * 是否激活
    */
    FEESET_ACTIVE = BaseActiveFlag.FEESET_ACTIVE,
}

/**
 * 临时收货列表操作
 */
export enum TmpReceiverType {
    /**
     * 新增
     */
    ADD = 0,
    /**
     * 编辑
     */
    EDIT = 1,
    /**
     * 删除
     */
    DELETE = 2,
    /**
     * 是否激活
    */
    FEESET_ACTIVE = BaseActiveFlag.FEESET_ACTIVE,
    /**
     * 转账
     */
    TRANSFERRED = 3
}

/**
 * 分组操作状态
 */
export enum EditTypeState {
    /**
     * 添加
     */
    ADD = 'add',
    /**
     * 编辑
     */
    EDIT = 'edit',
}

/**
 * 客户总账操作
 */
export enum MoneySumAction {
    /**
     * 消费明细
     */
    CONSUMPTION = 1,
    /**
     * 充值明细
     */
    RECHARGE = 2,
    /**
     * 退款
     */
    REFUND = 3
}