import type { ComputedRef, Ref } from 'vue';

// 定义对props参数可选类型
export type DynamicProps<T> = {
  [P in keyof T]: Ref<T[P]> | T[P] | ComputedRef<T[P]>;
};

// 上传参数
export interface UploadFileParams {
  // 其他参数
  data?: Recordable;
  // 文件参数接口字段名称
  name?: string;
  // file name
  file?: File | Blob;
  // file name
  filename?: string;
  files?: File[] | Blob[];
  [key: string]: any;
}

// 开发、生产环境设置URL
export interface GlobEnvConfig {
  VITE_GLOB_API_URL: string
  VITE_GLOB_APP_TITLE: string
  VITE_GLOB_BASE_EXPORT_URL: string
  PROD: boolean
}
